### Method

# Gio TlsDatabase lookup_certificates_issued_by_finish

since: 2.30

#### Declaration

    GList*
    g_tls_database_lookup_certificates_issued_by_finish (
      GTlsDatabase* self,
      GAsyncResult* result,
      GError** error
    )

#### Description

Finish an asynchronous lookup of certificates. See `g_tls_database_lookup_certificates_issued_by()` for more information.

Available since: 2.30

#### Parameters

`result`

  Type: `GAsyncResult`

  A `GAsyncResult`.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: A list of `GTlsCertificate*`

A newly allocated list of `GTlsCertificate` objects. Use `g_object_unref()` on each certificate, and `g_list_free()` on the release the list.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.